import request from '@/utils/request'

export const getTabList = (data) => {
  return request({
    headers: {
      'accountName': 'guest'
    },
    url: '/jflow/p/c/meta/table/list',
    method: 'post',
    data
  })
}
export const delRemove = (data) => {
  return request({
    headers: {
      'accountName': 'guest'
    },
    url: '/jflow/p/cs/module/remove',
    method: 'post',
    data
  })
}
export const getColumnList = (data) => {
  return request({
    headers: {
      'accountName': 'guest'
    },
    url: '/jflow/p/c/meta/column/list',
    method: 'post',
    data
  })
}
// 流程模型列表
export const getSearch = (data) => {
  return request({
    headers: {
      'accountName': 'guest'
    },
    url: '/jflow/p/cs/module/search',
    method: 'post',
    data
  })
}
export const setMigrate = (data) => {
  return request({
    headers: {
      'accountName': 'guest'
    },
    url: '/jflow/p/cs/module/migrate',
    method: 'post',
    data
  })
}
// 发布流程
export const setPublish = (data) => {
  return request({
    headers: {
      'accountName': 'guest'
    },
    url: '/jflow/p/cs/module/publish',
    method: 'post',
    data
  })
}
//停用流程
export const setUnpublish = (data) => {
  return request({
    headers: {
      'accountName': 'guest'
    },
    url: '/jflow/p/cs/module/unpublish',
    method: 'post',
    data
  })
}
//复制流程
export const setCopy = (data) => {
  return request({
    headers: {
      'accountName': 'guest'
    },
    url: '/jflow/p/cs/module/copy',
    method: 'post',
    data
  })
}
export const getLoad = (data) => {
  return request({
    headers: {
      'accountName': 'guest'
    },
    url: '/jflow/p/cs/module/load',
    method: 'post',
    data
  })
}
export const getDuplicate = (data) => {
  return request({
    headers: {
      'accountName': 'guest'
    },
    url: '/jflow/p/cs/module/duplicate',
    method: 'post',
    data
  })
}
export const getCommit = (data) => {
  return request({
    headers: {
      'accountName': 'guest'
    },
    url: '/jflow/p/cs/module/commit',
    method: 'post',
    data
  })
}
export const getPublish = (data) => {
  return request({
    headers: {
      'accountName': 'guest'
    },
    url: '/jflow/p/cs/module/publish',
    method: 'post',
    data
  })
}
